Sovran_SystemsOS/file_fixes_and_new_services/test.sh

60 lines
1.1 KiB
Bash
Raw Normal View History

2023-06-21 14:19:13 -07:00
#!/usr/bin/env bash
2023-06-21 20:58:17 -07:00
exec 3>&1 4>&2
trap 'exec 2>&4 1>&3' 0 1 2 3
2023-06-21 14:19:13 -07:00
exec 1> /var/lib/beacons/awesome.log 2>&1
#### CHECK TO SEE IF IT HAS BEEN RUN BEFORE ####
FILE=/var/lib/beacons/file_fixes_and_new_services/jitsi/started
if [ -e $FILE ]; then
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/echo "File Found, No Need to Run ... exiting"
2023-06-21 14:19:13 -07:00
exit 1
fi
#### CREATE INITIAL TAG ####
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/mkdir -p /var/lib/beacons/file_fixes_and_new_services/jitsi ; touch /var/lib/beacons/file_fixes_and_new_services/jitsi/started
2023-06-21 14:19:13 -07:00
if [[ $? != 0 ]]; then
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/echo "Could Not Create Initial Tag"
2023-06-21 14:19:13 -07:00
exit 1
fi
#### MAIN SCRIPT ####
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/mkdir /var/lib/cool
2023-06-21 14:19:13 -07:00
if [[ $? != 0 ]]; then
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/echo "Could Not Create Cool"
2023-06-21 14:19:13 -07:00
exit 1
fi
#### CREATE COMPELETE TAG ####
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/touch /var/lib/beacons/file_fixes_and_new_services/jitsi/completed
2023-06-21 14:19:13 -07:00
if [[ $? != 0 ]]; then
2023-06-21 20:15:00 -07:00
/run/current-system/sw/bin/echo "Could Not Create Completed Tag"
2023-06-21 14:19:13 -07:00
exit 1
fi
exit 0